Jump to content

HQPlayer Linux Desktop and HQplayer embedded


ted_b

Recommended Posts

Trying to install trial version of 4.04 dektop on ubuntu.Cant get to install.Says instaling but stays at 0 % then goes back to were it says install ?

Share this post


Link to post
Share on other sites
12 hours ago, Miska said:

 

How are you trying to install it? If you do "sudo dpkg -i hqplayer4desktop_4.0.4-5_amd64.deb" first and then "sudo apt install -f", does it succeed?

 

I tried installing the way i always do,Click on downoaded file click on install.Will try your way.Thanks

Share this post


Link to post
Share on other sites
13 hours ago, Miska said:

 

How are you trying to install it? If you do "sudo dpkg -i hqplayer4desktop_4.0.4-5_amd64.deb" first and then "sudo apt install -f", does it succeed?

 

Cant get it work.Get error

No such file or directory

 

Share this post


Link to post
Share on other sites
3 minutes ago, Miska said:

 

The downloaded file needs to be in the same directory where you perform the command...

Okay how do you do that ?

Share this post


Link to post
Share on other sites
38 minutes ago, Miska said:

 

You download the file, usually it ends up in Downloads directory, you go there first before issuing the command. If you are not familiar with Linux command line, there's plenty on information online about that and Debian/Ubuntu package management tools.

 

Started to download power went out.I was at stage of agreing to licencse and power went out so some of it was installed.How do i remove what was partially installed.error processing package hqplayer4desktop (--install):
 dependency problems - leaving unconfigured
Processing triggers for gnome-menus (3.32.0-1ubuntu1) ...
Processing triggers for desktop-file-utils (0.23-4ubuntu1) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Errors were encountered while processing:
 hqplayer4desktop

Share this post


Link to post
Share on other sites
3 hours ago, Outlaw said:

udo dpkg

 

20 minutes ago, Miska said:

 

It says there are missing dependencies, this gets fixed by "sudo apt install -f". Just in case you can then also run "sudo dpkg --configure --pending". That should do it.

 

dpkg: error: unknown option -�

Type dpkg --help for help about installing and deinstalling packages [*];
Use 'apt' or 'aptitude' for user-friendly package management;
Type dpkg -Dhelp for a list of dpkg debug flag values;
Type dpkg --force-help for a list of forcing options;
Type dpkg-deb --help for help about manipulating *.deb files;

Options marked [*] produce a lot of output - pipe it through 'less' or 'more' !

Share this post


Link to post
Share on other sites

[email protected]:~/Downloads$ sudo dpkg -i hqplayer4desktop_4.0.4-5_amd64.deb
[sudo] password for jason:
dpkg: error: cannot access archive 'hqplayer4desktop_4.0.4-5_amd64.deb': No such file or directory
[email protected]:~/Downloads$

 

Share this post


Link to post
Share on other sites
52 minutes ago, Miska said:

 

It says there are missing dependencies, this gets fixed by "sudo apt install -f". Just in case you can then also run "sudo dpkg --configure --pending". That should do it.

 

[email protected]:~/Downloads$ sudo dpkg -i hqplayer4desktop_4.0.4-5_amd64.deb
[sudo] password for jason:
dpkg: error: cannot access archive 'hqplayer4desktop_4.0.4-5_amd64.deb': No such file or directory
[email protected]:~/Downloads$ sudo apt install -f
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
[email protected]:~/Downloads$

 

Share this post


Link to post
Share on other sites
1 hour ago, Miska said:

 

It says there are missing dependencies, this gets fixed by "sudo apt install -f". Just in case you can then also run "sudo dpkg --configure --pending". That should do it.

 

 

1 hour ago, Miska said:

 

It says there are missing dependencies, this gets fixed by "sudo apt install -f". Just in case you can then also run "sudo dpkg --configure --pending". That should do it.

 

[email protected]:~/Downloads$ sudo dpkg -i hqplayer4desktop_4.0.4-5_amd6 4.deb
[sudo] password for jason:
dpkg: error: cannot access archive 'hqplayer4desktop_4.0.4-5_amd6 4.deb': No such file or directory
[email protected]:~/Downloads$


Going in circles here.Anybody ?

Share this post


Link to post
Share on other sites
On 7/17/2019 at 2:18 AM, Miska said:

 

How are you trying to install it? If you do "s

[email protected]:~/Downloads$ sudo dpkg -i hqplayer4desktop_4.1.0-7_amd64.deb
[sudo] password for jason:
Selecting previously unselected package hqplayer4desktop.
(Reading database ... 172177 files and directories currently installed.)
Preparing to unpack hqplayer4desktop_4.1.0-7_amd64.deb ...
Unpacking hqplayer4desktop (4.1.0-7) ...
dpkg: dependency problems prevent configuration of hqplayer4desktop:
 hqplayer4desktop depends on libmicrohttpd12 (>= 0.9.50); however:
  Package libmicrohttpd12 is not installed.
 hqplayer4desktop depends on libqt5quickcontrols2-5 (>= 5.7.1); however:
  Package libqt5quickcontrols2-5 is not installed.
 hqplayer4desktop depends on qtdeclarative5-models-plugin; however:
  Package qtdeclarative5-models-plugin is not installed.
 hqplayer4desktop depends on qtdeclarative5-window-plugin; however:
  Package qtdeclarative5-window-plugin is not installed.
 hqplayer4desktop depends on qml-module-qtqml-models2; however:
  Package qml-module-qtqml-models2 is not installed.
 hqplayer4desktop depends on qml-module-qtquick-controls2; however:
  Package qml-module-qtquick-controls2 is not installed.
 hqplayer4desktop depends on qml-module-qtquick-dialogs; however:
  Package qml-module-qtquick-dialogs is not installed.
 hqplayer4desktop depends on qml-module-qtquick-templates2; however:
  Package qml-module-qtquick-templates2 is not installed.

dpkg: error processing package hqplayer4desktop (--install):
 dependency problems - leaving unconfigured
Processing triggers for gnome-menus (3.32.0-1ubuntu1) ...
Processing triggers for desktop-file-utils (0.23-4ubuntu1) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Errors were encountered while processing:
 hqplayer4desktop
[email protected]:~/Downloads$ s udo ap t instal l -f"
> sudo dpkg --configure --pending
>


Miska or anyone any idea ?

Share this post


Link to post
Share on other sites

[email protected]:~/Downloads$ sudo apt install -f
[sudo] password for jason:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
[email protected]:~/Downloads$ su do dpkg --configure --pending

Command 'su do' not found, did you mean:

  command 'sudo' from deb sudo (1.8.27-1ubuntu1)
  command 'sudo' from deb sudo-ldap (1.8.27-1ubuntu1)

Try: sudo apt install <deb name>

[email protected]:~/Downloads$

 

Share this post


Link to post
Share on other sites
14 minutes ago, Miska said:

 

OK, something else has already pulled the missing dependencies. Maybe together with software updates.

 

 

Typo here, it is "sudo" not "su do"...

 

[email protected]:~/Downloads$ sudo dpkg -i hqplayer4desktop_4.1.0-7_amd64.deb
[sudo] password for jason:
Selecting previously unselected package hqplayer4desktop.
(Reading database ... 172249 files and directories currently installed.)
Preparing to unpack hqplayer4desktop_4.1.0-7_amd64.deb ...
Unpacking hqplayer4desktop (4.1.0-7) ...
dpkg: dependency problems prevent configuration of hqplayer4desktop:
 hqplayer4desktop depends on libmicrohttpd12 (>= 0.9.50); however:
  Package libmicrohttpd12 is not installed.
 hqplayer4desktop depends on libqt5quickcontrols2-5 (>= 5.7.1); however:
  Package libqt5quickcontrols2-5 is not installed.
 hqplayer4desktop depends on qtdeclarative5-models-plugin; however:
  Package qtdeclarative5-models-plugin is not installed.
 hqplayer4desktop depends on qtdeclarative5-window-plugin; however:
  Package qtdeclarative5-window-plugin is not installed.
 hqplayer4desktop depends on qml-module-qtqml-models2; however:
  Package qml-module-qtqml-models2 is not installed.
 hqplayer4desktop depends on qml-module-qtquick-controls2; however:
  Package qml-module-qtquick-controls2 is not installed.
 hqplayer4desktop depends on qml-module-qtquick-dialogs; however:
  Package qml-module-qtquick-dialogs is not installed.
 hqplayer4desktop depends on qml-module-qtquick-templates2; however:
  Package qml-module-qtquick-templates2 is not installed.

dpkg: error processing package hqplayer4desktop (--install):
 dependency problems - leaving unconfigured
Processing triggers for gnome-menus (3.32.0-1ubuntu1) ...
Processing triggers for desktop-file-utils (0.23-4ubuntu1) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Errors were encountered while processing:
 hqplayer4desktop
[email protected]:~/Downloads$ sudo apt install - f
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package - f
jaso

Share this post


Link to post
Share on other sites
Just now, Outlaw said:

[email protected]:~/Downloads$ sudo dpkg -i hqplayer4desktop_4.1.0-7_amd64.deb
[sudo] password for jason:
Selecting previously unselected package hqplayer4desktop.
(Reading database ... 172249 files and directories currently installed.)
Preparing to unpack hqplayer4desktop_4.1.0-7_amd64.deb ...
Unpacking hqplayer4desktop (4.1.0-7) ...
dpkg: dependency problems prevent configuration of hqplayer4desktop:
 hqplayer4desktop depends on libmicrohttpd12 (>= 0.9.50); however:
  Package libmicrohttpd12 is not installed.
 hqplayer4desktop depends on libqt5quickcontrols2-5 (>= 5.7.1); however:
  Package libqt5quickcontrols2-5 is not installed.
 hqplayer4desktop depends on qtdeclarative5-models-plugin; however:
  Package qtdeclarative5-models-plugin is not installed.
 hqplayer4desktop depends on qtdeclarative5-window-plugin; however:
  Package qtdeclarative5-window-plugin is not installed.
 hqplayer4desktop depends on qml-module-qtqml-models2; however:
  Package qml-module-qtqml-models2 is not installed.
 hqplayer4desktop depends on qml-module-qtquick-controls2; however:
  Package qml-module-qtquick-controls2 is not installed.
 hqplayer4desktop depends on qml-module-qtquick-dialogs; however:
  Package qml-module-qtquick-dialogs is not installed.
 hqplayer4desktop depends on qml-module-qtquick-templates2; however:
  Package qml-module-qtquick-templates2 is not installed.

dpkg: error processing package hqplayer4desktop (--install):
 dependency problems - leaving unconfigured
Processing triggers for gnome-menus (3.32.0-1ubuntu1) ...
Processing triggers for desktop-file-utils (0.23-4ubuntu1) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Errors were encountered while processing:
 hqplayer4desktop
[email protected]:~/Downloads$ sudo apt install - f
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package - f
jaso

What next

Share this post


Link to post
Share on other sites

[email protected]:~/Downloads$ sudo dpkg --configure --pendi ng
dpkg: error: unknown option --pendi ng

Type dpkg --help for help about installing and deinstalling packages [*];
Use 'apt' or 'aptitude' for user-friendly package management;
Type dpkg -Dhelp for a list of dpkg debug flag values;
Type dpkg --force-help for a list of forcing options;
Type dpkg-deb --help for help about manipulating *.deb files;

Options marked [*] produce a lot of output - pipe it through 'less' or 'more' !
[email protected]:~/Downloads$

 

Share this post


Link to post
Share on other sites
3 minutes ago, Superdad said:

@Outlaw: Any chance you and Miska can take your detailed support issue to private mail?  Scrolling through logs of Linux stuff is not really what this forum thread is about.  Thanks!

Isn’t that what a forum is for receiving help ?

Share this post


Link to post
Share on other sites

Okay I give up.If can’t try can’t buy.Was hoping to resolve this but I guess not.

Share this post


Link to post
Share on other sites
1 hour ago, shadowlight said:

@Outlaw there is a typo in your command "sudo apt install - f"  it looks like there is a space between - f, try the following "sudo apt install -f"

tried doesnt work.Using package installer which was suggested getting error dependancy is not satisfiable:qtdeclarative5-windows-plugin.

Share this post


Link to post
Share on other sites
8 hours ago, Miska said:

 

Are you using supported OS version, Ubuntu 18.04 LTS?

 

Yes.Did a fresh install and now it works.

Share this post


Link to post
Share on other sites
On 7/18/2019 at 9:31 PM, k6davis said:

 

Sorry to hear you've been having a difficult time getting it installed.

 

One thing you could try is to load the HQP OS image to a USB stick. That way, there's nothing to install, it's optimized for audio and it's very easy to use. You just boot from the stick and point a browser to "hqplayer" That's how I run HQP. My HQP server doesn't even have a hard drive or SSD.

 

info: https://www.signalyst.com/embedded-install.html?

downloads: https://www.signalyst.eu/bins/hqplayerd/images/

 

The current release is dated 7/4/19.

Is there a step by step guide to do this.Have unbuntu 18.04.Installed latest version of HQPlayer embedded on USB thumb drive ?

Share this post


Link to post
Share on other sites
9 minutes ago, Em2016 said:

 

It's there in the links he posted. Did you check it out?

 

Use etcher to burn to USB stick.

 

Downloading and configuring bootable image

 

Download the hqplayer-embedded image and write the image to a media you plan to use for booting, such as USB memory stick.
Once booted up, you can use the web configuration interface from another computer or login as "root" (no password) from console. Default username for web interface is "hqplayer" and default password is "password". Please change the password as soon as possible, either through the web interface, or from command line using command "hqplayerd -s username password". The image will attempt to appear under name "hqplayer" on the network, but you can also see the obtained IP adress using command "ifconfig".
Additional documentation can be found in /usr/share/hqplayer/readme.txt"

 

Okay thanks

Share this post


Link to post
Share on other sites
13 minutes ago, Em2016 said:

 

It's there in the links he posted. Did you check it out?

 

Use etcher to burn to USB stick.

 

Downloading and configuring bootable image

 

Download the hqplayer-embedded image and write the image to a media you plan to use for booting, such as USB memory stick.
Once booted up, you can use the web configuration interface from another computer or login as "root" (no password) from console. Default username for web interface is "hqplayer" and default password is "password". Please change the password as soon as possible, either through the web interface, or from command line using command "hqplayerd -s username password". The image will attempt to appear under name "hqplayer" on the network, but you can also see the obtained IP adress using command "ifconfig".
Additional documentation can be found in /usr/share/hqplayer/readme.txt"

 

Thanks.I used Rufus to burn to USB is that ok or does it have to be etcher

Share this post


Link to post
Share on other sites
11 hours ago, Outlaw said:

Is there a step by step guide to do this.Have unbuntu 18.04.Installed latest version of HQPlayer embedded on USB thumb drive ?

 

11 hours ago, Em2016 said:

 

It's there in the links he posted. Did you check it out?

 

Use etcher to burn to USB stick.

 

Downloading and configuring bootable image

 

Download the hqplayer-embedded image and write the image to a media you plan to use for booting, such as USB memory stick.
Once booted up, you can use the web configuration interface from another computer or login as "root" (no password) from console. Default username for web interface is "hqplayer" and default password is "password". Please change the password as soon as possible, either through the web interface, or from command line using command "hqplayerd -s username password". The image will attempt to appear under name "hqplayer" on the network, but you can also see the obtained IP adress using command "ifconfig".
Additional documentation can be found in /usr/share/hqplayer/readme.txt"

 

downloade latest file for HQPlayer but canrt get it to work with either rufus or etcher ? is there anything i have to do with file before trying to download with rufus or etcher ?

Share this post


Link to post
Share on other sites

Any help would be appreciated.trying to use hqplayer  on ubuntu 18.04.Have down loaded latest version of hqplayer embedded on a usb thumd drive using etcher.Dio i need to install anything on pc from thumbdrive.Di i just plug in thumb drive and how do you get to web interface.

Share this post


Link to post
Share on other sites
1 hour ago, k6davis said:

 

You said you've used etcher/Rufus to create the bootable thumb drive. Beyond that you don't need to install anything from the PC to the thumbdrive.

 

Were you able to change your server's BIOS to tell it to boot from the thumbdrive? This will bypass your internal hard drive completely and boot into HQP OS. I run mine headless and access the HQP server from a browser on a laptop on the same network by typing http://hqplayer/ into the address bar. That gives me access to all of HQP's configuration & options. By default, "hqplayer" is the address on the network for the HQP server.

 

There are several ways of actually playing music, but I'm only familiar with the one I use, which is Roon. I go into Roon's settings (under "Setup") where there's an "Add HQPlayer" button. There, you enter the HQP server's network address: hqplayer. HQP then becomes available in Roon as a Zone to play music to.

 

If you're not using Roon, perhaps someone else could add to my comment about other ways to play music with HQP OS/HQP Embedded.

Okay booted up from usb thumb drive.Was able to log in  and set settings.Use roon but unable to connect to Roon ?

Share this post


Link to post
Share on other sites


×
×
  • Create New...